Cyan Web API - Version 1


POST api/applications

            Creates an Application.
            

Request Information

Parameters

NameDescriptionAdditional information
applicationRepresentation

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "applicationId": "a868c63e-2229-4ddd-9d22-4e667df0d8a3",
  "lookupKey": "sample string 2",
  "name": "sample string 3",
  "description": "sample string 4",
  "createdDateUtc": "2026-03-15T09:54:40.2661407+00:00",
  "updatedDateUtc": "2026-03-15T09:54:40.2661407+00:00"
}

application/xml, text/xml

Sample:
<ApplicationRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-03-15T09:54:40.2661407+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-03-15T09:54:40.2661407+00:00</UpdatedDateUtc>
  <ApplicationId>a868c63e-2229-4ddd-9d22-4e667df0d8a3</ApplicationId>
  <Description>sample string 4</Description>
  <LookupKey>sample string 2</LookupKey>
  <Name>sample string 3</Name>
</ApplicationRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.